<?php

// written by: Will Pan, Pratik Ringshia 
// tested by: Will Pan, Pratik Ringshia
// debugged by: Will Pan, Pratik Ringshia

$hide_nav = true; $page_title = "Create League"; include "headerfiles/begin.php"; 

?>

<script type="text/javascript">

function validateForm()
{

var leaguename = document.forms["createleague"]["name"].value;
var description = document.getElementById("description").value;
var enddate = document.forms["createleague"]["enddate"].value;

if(leaguename=="" || leaguename==null)
{
	alert('Please choose a League Name');
	return false;
}

if(description.trim())
{
}
else
{
	alert('Please enter a brief Description');
	return false;
}
var chosen ="";
var len = document["createleague"]["public"].length;
for(i=0; i<len; i++)
{
	if(document["createleague"]["public"][i].checked)
		chosen = document["createleague"]["public"][i].value;
}
if(chosen == "")
{
	alert('Please choose Public/Private');
	return false;
}

var chosen1 ="";
var len1 = document["createleague"]["balance"].length;
for(j=0;j<len1; j++)
{
	if(document["createleague"]["balance"][j].checked)
		chosen1 = document["createleague"]["balance"][j].value;
}
if(chosen1 == "")
{
	alert('Please choose a Starting Balance');
	return false;
}

var chks = document.getElementsByName('sectors[]');
var hasChecked=false;
for(var t=0;t<chks.length;t++)
{
	if(chks[t].checked)
	{
		hasChecked=true;
		break;
	}
}
if(!hasChecked)
{
	alert('Please choose allowed Sectors');
	return false;
}


var chosenfund ="";
var len2 = document["createleague"]["funds"].length;
for(k=0; k<len2; k++)
{
	if(document["createleague"]["funds"][k].checked)
		chosenfund=document["createleague"]["funds"][k].value;
}
if(chosenfund == "")
{
	alert('Please choose Funds/No Funds');
	return false;
}


if(enddate == null || enddate=="")
{
	alert('Please choose an End Date');
	return false;	
}
else
{
	var correctformat = validateUSDate(enddate);
	if(!correctformat)
	{
		alert('End Date is not properly formatted');
		return false;
	}
}

}

function validateUSDate( strValue ) {
 var objRegExp = /^\d{2}(\/)\d{2}\1\d{4}$/
 
  //check to see if in correct format
  if(!objRegExp.test(strValue))
    return false; //doesn't match pattern, bad date
  else{
    var strSeparator = strValue.substring(2,3) 
    var arrayDate = strValue.split(strSeparator); 
    //create a lookup for months not equal to Feb.
    var arrayLookup = { '01' : 31,'03' : 31, 
                        '04' : 30,'05' : 31,
                        '06' : 30,'07' : 31,
                        '08' : 31,'09' : 30,
                        '10' : 31,'11' : 30,'12' : 31}
    var intDay = parseInt(arrayDate[1],10); 

    //check if month value and day value agree
    if(arrayLookup[arrayDate[0]] != null) {
      if(intDay <= arrayLookup[arrayDate[0]] && intDay != 0)
        return true; //found in lookup table, good date
    }
    
    //check for February (bugfix 20050322)
    //bugfix  for parseInt kevin
    //bugfix  biss year  O.Jp Voutat
    var intMonth = parseInt(arrayDate[0],10);
    if (intMonth == 2) { 
       var intYear = parseInt(arrayDate[2]);
       if (intDay > 0 && intDay < 29) {
           return true;
       }
       else if (intDay == 29) {
         if ((intYear % 4 == 0) && (intYear % 100 != 0) || 
             (intYear % 400 == 0)) {
              // year div by 4 and ((not div by 100) or div by 400) ->ok
             return true;
         }   
       }
    }
  }  
  return false; //any other values, bad date
}
</script>

<div style="width:760px;margin:0 auto">

<h3>Create A League</h3>

<div style='width:350px; float: right;'>
<p align="justify">Leagues are organized competitions among Bears &amp; Bulls players.  You may have noticed multiple portfolios on your dashboard.  Each portfolio is associated with a specific league and the portfolio's performance is compared against those of other investors in that league.  Each league has different restrictions on the types of stocks that may be traded, the starting capital, rules about short selling, and other guidelines.  </p>
<p align="justify">As a Bears &amp; Bulls player, you are automatically entered into the global Bears &amp; Bulls league, which allows you to compare your performance to all the other Bears &amp; Bulls players.  You may also join other public leagues, or create you own by following the link above.  If you are a league coordinator, you may edit the settings of your league by choosing the <q>Manage a League</q> link.</p>
</div>

<div style='width: 400px; float: left'>
<?php if(isset($_GET["leaguename"])) {?>
<p style="color: red;">Error: League Name has already been taken</p>
<?php }?>
<?php if(isset($_GET["enddate"])) {?>
<p style="color: red;">Error: End Date is not valid</p>
<?php }?>

<form name = "createleague" id="createleague" action = "ProcessCreate.php" method="post" style="width:650px;margin:auto" onsubmit = "return validateForm();">
	<label for="name">League Name</label>
	</br>
	<input type="text" name="name" style="width:300px"/>
	<br/>
	<br/>
	<label for="description">League Description:</label><br />
	<textarea name="description" id="description" rows="3" cols="50" wrap="virtual">

	</textarea>
	</br>
	</br>
	<label for="public">Public or Private (Private Leagues can only be joined via invitations)</label></br>
	<input type="radio" name="public" value="1" />Public <br />
	<input checked type="radio" name="public" value="0" />Private <br />
	<br/>
	<label for="balance">Starting Balance</label><br />
	<input type="radio" name="balance" value="10000" />$10,000 <br />
	<input type="radio" name="balance" value="100000" />$100,000 <br />
	<input type="radio" name="balance" value="1000000" />$1,000,000 <br />
	<br/>
	<label for="sectors">Allowed Sectors</label><br />
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Basic Industries" />Basic Industries</br>
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Capital Goods" />Capital Goods</br>
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Consumer Durables" />Consumer Durables</br>
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Consumer Non-Durables" />Consumer Non-Durables</br>
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Consumer Services" />Consumer Services</br>
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Energy" />Energy</br>
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Finance" />Finance</br>
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Health Care" />Healthcare</br>
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Miscellaneous" />Miscellaneous</br>
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Public Utilities" />Public Utilities</br>
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Technology" />Technology</br>
	<input checked type="checkbox" name="sectors[]"  id="sector" value="Transportation" />Transportation</br>
	</br>
	<label for="funds">Allow Investing in Funds (Bears &amp; Bulls Funds)</label></br>
	<input checked type="radio" name="funds" value="1" />Yes <br />
	<input type="radio" name="funds" value="0" />No <br />
	</br>
	<label for="startdate">End Date</label></br>
	<input type="text" name="enddate"/> mm/dd/yyyy </br>
	<br />
	<input type="submit" value="Create League" />

</form>
</div>

</div>

<?php include "headerfiles/end.php"; ?>
