<?php

// written by: Will Pan, Aaron Sun 
// tested by: Pratik Ringshia
// debugged by: Will Pan, Pratik Ringshia

$hide_nav = true; include("headerfiles/begin.php"); ?>
<html>
<title>Funds</title>

<body>
<div style="width:760px;margin:auto">

<h3>Create a Hedge Fund</h3>
<div style='width:350px; float: right;'>
<p>
Hedge funds are less restrictive than mutual funds.  The goal of a hedge fund is to generate absolute returns and they can employ any strategy they wish.  Many hedge funds use leverage to magnify their purchasing power and increase their absolute market exposure.
</p>
</div>

<div style='width: 400px; float: left'>

<?php if(isset($_GET["fundname"])) {?>
<p style="color: red;">Error: Fund Name already taken</p>
<?php }?>


	<form name = "createfund" id="createfund" action = "HFundCreate.php" method = "post"  style = "width : 650px; margin : auto">
		<label for="name">Fund Name</label><br />
			<input type="text" name="name" style="width:300px" />
			<br/> <br/>

			<label for="prospectus">Fund Prospectus:</label><br />
		<textarea name="prospectus" rows="7" cols="50" wrap="virtual" placeholder="Please enter your fund's prospectus. The fund prospectus should give a brief description of you strategy for your investors' reference."></textarea>

		</br> </br>


		<label for="open">Open to Other Bears &amp; Bulls Investors</label></br>
		<input type="radio" name="open" value="1" checked>Yes <br />
		<input type="radio" name="open" value="0">No <br />
		<br/>
		<label for="short">Allow Short Selling?</label></br>
		<input type="radio" name="short" value="1" checked>Yes <br />
		<input type="radio" name="short" value="0">No <br />

		<br/>
		<label for="margin">Maximum Margin Ratio</label></br>
		<table>
			<tr>
				<td><input type="radio" name="margin" value="1" checked
					/>No Margin <td />
				<td><input type="radio" name="margin" value="2" 
					 />2:1  <td/>
				<td><input type="radio" name="margin" value="5" 
					 />5:1 <td />
			<tr />
			<tr >
				<td><input type="radio" name="margin" value="10" 
				/>10:1<td />
				<td><input type="radio" name="margin" value="15"  
				/>15:1 <td>
				<td><input type="radio" name="margin" value="30" 
				/>30:1  <td>
			<tr />
		</table>
		<input type="hidden" name="fundtype" value="h" />
		<input type="hidden" name="submitted" value="confirm" /> <br />
		<input type="submit" value="Submit" />

	</form>
</div>

</div>
</body>
</html>
<?php include("headerfiles/end.php"); ?>
