<!--
Written By: Pratik Ringshia
Tested By: Pratik Ringshia
Debugged By: Pratik Ringshia
-->

<?php

/*Global variables*/
$MAX_PORTFOLIO_WORTH_TIME_DIFFERENCE = 60 * 60 * 2; //recalculate portfolio worth only if it hasnt been calculated in the last X seconds

session_start();

echo <<<BEGIN

	<!doctype html>
	<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta name="description" content="">
		<meta name="keywords" content="">
		<link rel="icon" type="image/x-icon" href="/favicon.ico" />

		<link rel="stylesheet" type="text/css" href="styles/reset.css" media="screen" />
		<link rel="stylesheet" type="text/css" href="styles/tipsy.css" media="screen" />
		<link rel="stylesheet" type="text/css" href="style.css" media="screen" />
		<link rel="stylesheet" href="autosuggest_v2.1.3/css/autosuggest_inquisitor.css" type="text/css" media="screen" charset="utf-8" />

		<script type="text/javascript" src="http://code.jquery.com/jquery-1.5.min.js"></script>
		<script type="text/javascript" src="autosuggest_v2.1.3/js/bsn.AutoSuggest_2.1.3.js" charset="utf-8"></script>
		<script type="text/javascript" src="javascript/jquery.tipsy.js" charset="utf-8"></script>

		<title>Bears &amp; Bulls - $page_title</title>
	</head>
	<body>
		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=237278813022761";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));</script>
		<div style='' <div id="header"><a href="/"><h1>Bears &amp; Bulls</h1></a></div>
BEGIN;

if (!isset($hide_nav))
{
	echo <<<NAVLINKS
	<div id="navbar">
	<ul id="links">
		<li><a href="index.php">Home</a></li>
		<li><a href="portfolio.php">Portfolio</a></li>
		<li><a href="research.php">Research</a></li>
		<li><a href="order.php">Trade</a></li>
		<li><a href="searchfund.php">Funds</a></li>
NAVLINKS;
		echo "<li id='portfolio_name'><a href='portfolio.php'>".$_SESSION['portfolioname']." Portfolio</a></li>";
		echo <<<NAVLINKS
		<li id="search_box">
			<form action="stockquery.php" method="post" name="stock" style="float:left;">
				<input style="width: 50px;" type="text" name="ticker" id="ticker" placeholder="Symbol" onblur="if (this.value == ""){this.value="Symbol";}" onfocus="if (this.value == "Symbol") {this.value = "";}">
				<input type="submit" name="formSubmit" value="Get Quote">
			</form>
		</li>
	</ul>
	</div>
		
<script type="text/javascript">
		var optionstick = {
			script:"autosuggest_v2.1.3/test.php?json=true&",
			varname:"input",
			json:true,
			shownoresults:false,
			maxresults:25,
		};
		var as_json0 = new bsn.AutoSuggest('ticker', optionstick);

	</script>
NAVLINKS;
}
else
	echo <<<NAVLINKS
	
	<div id="navbar">
	<ul id="links">
		<li><a href="index.php">Home</a></li>
		<li><a href="viewleague.php">Public Leagues</a></li>
		<li><a href="about.php">About</a></li>
	</ul>
	</div>
	
	
	
	
NAVLINKS;

?>

