<!--
Written By: William Pan
Tested By: William Pan
Debugged By: William Pan
-->

<?php

function get_info($ticker){
	/* Fetch Data by Yahoo CSV Service */	
	
	$csv_url = "http://finance.yahoo.com/d/quotes.csv?s=".strtoupper($ticker)."&f=nsl1c1p2mv";
    /* 
	 * Codes like sl1c1d1 are defined in http://www.gummy-stuff.org/Yahoo-data.htm
	 * name,symbol,price,change,bid,bidsize,ask,asksize,days range, volume
	*/
	$handle = fopen($csv_url,"r");
	$data = fgetcsv($handle,1000,",");

	$stockinfo['change']=$data[3];
	$stockinfo['change_percent']=$data[4];

	$stockinfo['day_range'] = str_replace(",","",$data[5]);
	$stockinfo['volume']=str_replace(",","",$data[6]);	
   	fclose($handle);
	/*if($stockinfo['bid_size']=='N/A' || $stockinfo['bid_price']=='N/A' || $stockinfo['ask_size']=='N/A' || $stockinfo['ask_price']=='N/A'){*/
		/* Scrape for info instead */
		
		$scrape_url="http://finance.yahoo.com/q?s=".strtoupper($ticker)."&reco=1";
		$doc = new DOMDocument;
		$doc->loadHTMLFile($scrape_url);
		
		$xPath = new DOMXPath( $doc );
		$ticker = strtolower($ticker);
		
		$results = $xPath->query('//div[@class="title"]');
		$stockinfo['name']= $results->item(0)->firstChild->textContent;

		$results = $xPath->query('//span[@id="yfs_l84_'.$ticker.'"]');
		$stockinfo['price']= $results->item(0)->textContent;

		$results = $xPath->query('//span[@id="yfs_b00_'.$ticker.'"]');
		$stockinfo['bid_price'] = $results->item(0)->textContent;

		$results = $xPath->query('//span[@id="yfs_b60_'.$ticker.'"]');
		$stockinfo['bid_size'] = $results->item(0)->textContent;

		$results = $xPath->query('//span[@id="yfs_a00_'.$ticker.'"]');
		$stockinfo['ask_price'] = $results->item(0)->textContent;

		$results = $xPath->query('//span[@id="yfs_a50_'.$ticker.'"]');
		$stockinfo['ask_size'] = $results->item(0)->textContent;
	
//	}	
	return $stockinfo;
}

?>
