<!--
Written By: Aaron Sun, Pratik Ringshia
Tested By: Aaron Sun, Pratik Ringshia
Debugged By: Aaron Sun, Pratik Ringshia
-->


<?php

// Provides access to app specific values such as your app id and app secret.
// Defined in 'AppInfo.php'
require_once('AppInfo.php');

// Enforce https on production
/*
if (substr(AppInfo::getUrl(), 0, 8) != 'https://' && $_SERVER['REMOTE_ADDR'] != 'test.dev') {
  header('Location: https://'. $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
  exit();
}
*/
// This provides access to helper functions defined in 'utils.php'
require_once('utils.php');
require_once('sdk/src/facebook.php');

$facebook = new Facebook(array(
  'appId'  => AppInfo::appID(),
  'secret' => AppInfo::appSecret(),
));

$user = $facebook->getUser();

if ($user) {
  try {
    $basic = $facebook->api('/me');
    //echo("<a href='/new/'>Your</a> user id is: ".$user.", ".$basic['name']);
    session_start();
	$_SESSION['user'] = $user;
    include "headerfiles/datalogin.php";
	$query = mysql_query("SELECT userid FROM portfolios WHERE userid=".$user." AND leagueid=3");
	$row = mysql_fetch_array($query);
	if(!$row)
	{
		mysql_query("INSERT INTO portfolios (leagueid,userid,cashbalance,coordinator,fundid) VALUES(3,".$user.",100000,0,0)");
	}
  } catch (FacebookApiException $e) {
   error_log($e);
   return null;
  }

} else {
  //$canvas_page = AppInfo::getUrl($_SERVER['REQUEST_URI']);
  $canvas_page = "http://apps.facebook.com/bearsandbulls/";
  $auth_url = "https://www.facebook.com/dialog/oauth?client_id=" . AppInfo::appID() . "&redirect_uri=" . urlencode($canvas_page);
  //echo("Redirecting because $user");
  echo("<script> window.top.location='" . $auth_url . "'</script>");
  exit();
}


$page_title = "Dashboard";
$hide_nav = true;
include "headerfiles/begin.php";

if (isset($_SESSION['invite_league']) && isset($_GET['to']))
{
	$leagueid = $_SESSION['invite_league'];
	
	foreach ($_GET["to"] as $userid)
	{
		
		mysql_query("INSERT INTO invites (userid,leagueid) VALUES(".$userid.",".$leagueid.")");
	}
	
	unset($_SESSION['invite_league']);
}
?>

	<script>
		function redirectTop(url)
		{
			window.top.location = url;
		}
	</script>

	<div id="container">
		<div id="main_left">
			<div id="portfolios">
				<?php
				
					/*Find all portfolios a user has*/
					
					$numquery = mysql_query("SELECT COUNT(*) FROM portfolios WHERE userid=".$user."");
					$numports = mysql_fetch_array($numquery);
					$numfin = $numports['COUNT(*)'];
					
				?>
				<h3 class="portfolio_header"><?php echo $basic['first_name']; ?>'s Portfolios (<?php echo $numfin; ?>)</h3>
				<ul>
				<?php
				
				
					echo "<li class='port_head' style='margin-top: 0px;'>Leagues</li>";
					
					
					$inv = mysql_query("SELECT COUNT(*) FROM invites WHERE userid=".$user."");
					$invrow = mysql_fetch_array($inv);
					$invnum = $invrow['COUNT(*)'];
					if($invnum != 0)
					{
				    	$invites = " <a href='joinleague.php' class='invites'>View Invites ($invnum)</a>";
					}
				
					echo "<li class='port_options'><a href='CreateLeague.php'>Create</a> <a href='viewleague.php'>Join</a>$invites</li>";
					
					/*Get info about each league portfolio*/
					$query = mysql_query("SELECT leagueid,portfolioid,cashbalance,coordinator,lastupdated,totalworth,percent FROM portfolios WHERE userid=".$user."");
					while($row = mysql_fetch_array($query))
					{
						if($row['leagueid']!=0)
						{
							/*Calculate percentage and total worth*/
						
							$query2=mysql_query("SELECT leaguename FROM leagues WHERE leagueid=".$row['leagueid']."");
							$name = mysql_fetch_array($query2);
							$leaguename = $name['leaguename'];
							$leagueid = $row['leagueid'];
							
							if ((time() - intval($row['lastupdated'])) > $MAX_PORTFOLIO_WORTH_TIME_DIFFERENCE)
							{
								$portfolioid = $row['portfolioid'];
								$stockquery = mysql_query("SELECT stock,quantity FROM stocksheld WHERE portfolioid=".$portfolioid."");
								$totalworth = 0.00;
								$beginworth = 0.00;
								while($tick = mysql_fetch_array($stockquery))
								{
									$url= "http://finance.yahoo.com/d/quotes.csv?s=".$tick['stock']."&f="."nsl1o";
									$handle = fopen($url,"r");
									$data = fgetcsv($handle,1000,",");
									$price = doubleval($data[2]);
									$open = doubleval($data[3]);
									fclose($handle);
									$totalworth = $totalworth + $price * $tick['quantity'];
									$beginworth = $beginworth + $open * $tick['quantity'];
								}
								if($beginworth!=0)
									$percent = doubleval(($totalworth-$beginworth)/$beginworth*100);
								else
									$percent = 0.00;
								$money = $totalworth + $row['cashbalance'];
								
								$inv = mysql_query("SELECT current FROM invest WHERE userid=".$user." AND clientid=".$row['leagueid']." AND league=1 AND pending=0");
								while($row44 = mysql_fetch_array($inv))
								{
									$money = $money + $row44['current'];
								}
								mysql_query("UPDATE portfolios SET totalworth=".$money.", percent=".$percent.", lastupdated=".time()." WHERE portfolioid=".$portfolioid."");
							}
							else
							{
								$percent = $row['percent'];
								$money = $row['totalworth'];
							}
							
							
							/*Display percentage, league name, total worth, and other links*/
							
							if($percent >= 0)
							{
								$classname = 'gain';
								$sign = '+';
							}
							else
							{
								$classname = 'loss';
								$sign = '';
							}
							
							echo "<li class='portfolio'><p class='portfolio_gain $classname'>$sign".number_format($percent,'2','.',',')."%</p>
										<p class='portfolio_name'><a href='portfolio.php?leagueid=".$row['leagueid']."'>$leaguename</a>$".number_format($money,'2','.',',')."</p>
										<p class='portfolio_panel'><a href='detailsleague.php?leaguename=".urlencode($leaguename)."'>Details</a>";

							if($row['coordinator']==1)
							{
								echo " | <a href='invites.php?leagueid=".$row['leagueid']."&name=".urlencode($leaguename)."''>Invite Friends</a>";
							}
							echo "</p></li>";
						}
					}
					
					echo "<li class='port_head'>Funds</li>";
					
					echo "<li class='port_options'><a href='funds.php'>Create</a></li>";
					
					
					/*Find all funds user is part of*/
					
					$query3 = mysql_query("SELECT fundid,portfolioid,cashbalance FROM portfolios WHERE userid=".$user."");
					while($row2 = mysql_fetch_array($query3))
					{
						if($row2['fundid']!=0)
						{
							/*Calculate percentage and total worth of each portfolio*/
							
							$query4=mysql_query("SELECT fundname FROM funds WHERE fundid=".$row2['fundid']."");
							$name2 = mysql_fetch_array($query4);
							$fundname = $name2['fundname'];
							
							$stockquery = mysql_query("SELECT stock,quantity FROM stocksheld WHERE portfolioid=".$row2['portfolioid']."");
							$totalworth = 0.00;
							$beginworth = 0.00;
							while($tick = mysql_fetch_array($stockquery))
							{
								$url= "http://finance.yahoo.com/d/quotes.csv?s=".$tick['stock']."&f="."nsl1o";
								$handle = fopen($url,"r");
								$data = fgetcsv($handle,1000,",");
								$price = doubleval($data[2]);
								$open = doubleval($data[3]);
								fclose($handle);
								$totalworth = $totalworth + $price * $tick['quantity'];
								$beginworth = $beginworth + $open * $tick['quantity'];
							}
							if($beginworth!=0)
								$percent = doubleval(($totalworth-$beginworth)/$beginworth*100);
							else
								$percent = 0.00;
							$money = $totalworth + $row2['cashbalance'];
							$inv = mysql_query("SELECT current FROM invest WHERE userid=".$user." AND clientid=".$row2['fundid']." AND league=0 AND pending=0");
							while($row44 = mysql_fetch_array($inv))
							{
								$money = $money + $row44['current'];
							}
							
							/*Display percentage, league name, total worth, and other links*/
							
							if($percent >= 0)
							{
								$classname = 'gain';
								$sign = '+';
							}
							else
							{
								$classname = 'loss';
								$sign = '';
							}
							
							echo "<li class='portfolio'><p class='portfolio_gain $classname'>$sign".number_format($percent,'2','.',',')."%</p>
										<p class='portfolio_name'><a href='portfolio.php?fundid=".$row2['fundid']."'>$fundname</a> $".number_format($money,'2','.',',')."</p>
										<p class='portfolio_panel'><a href='detailsfund.php?fundname=".urlencode($fundname)."'>Details</a>";
							
							
							$invest = mysql_query("SELECT userid FROM invest WHERE fundid=".$row2['fundid']." AND pending=1");
							$investment = mysql_fetch_array($invest);
							
							if($investment)
							{
								echo " | <a href='investment.php?fundid=".$row2['fundid']."&name=".urlencode($fundname)."''>Investments</a>";
							}
							echo "</p></li>";
							
						}
					}
					
					/*Check if any outstanding invites*/
				?>
				</ul>
			</div>
		</div>
		<div id="sidebar">
			<h3 class="snapshot_header">Market Snapshot</h3>
			<h4>Dow Jones Industrial Average</h4>
			<img class="finance_chart" src="http://www.google.com/finance/chart?cht=c&q=INDEXDJX:.DJI&tlf=12h" />
			<h4>NASDAQ Composite</h4>
			<img class="finance_chart" src="http://www.google.com/finance/chart?cht=c&q=INDEXNASDAQ:.IXIC&tlf=12h" />
			<h4>S&amp;P 500</h4>
			<img class="finance_chart" src="http://www.google.com/finance/chart?cht=c&q=INDEXSP:.INX&tlf=12h" />
		</div>

<?php

include "headerfiles/end.php";

?>
