<!--
Written By: Aaron Sun
Tested By: Aaron Sun
Debugged By: Aaron Sun
-->

<?php $page_title = "Trade"; include("headerfiles/begin.php"); ?>

<script type="text/javascript">

function validateForm()
{

/*Check if any order type or price type has been chosen*/

var set2 = document.getElementById("submitticket");
if(document.form1.articles.disabled == true && set2!=null)
{
	alert('Please choose a valid Order Type and Price Type');
	return false;
}

/*Check if all other fields are entered correctly*/

var ordertype = document.forms["form1"]["ordertype"].value;
var symbol = document.forms["form1"]["ticker1"].value;
var quantity = document.forms["form1"]["quantity"].value;
var pricetype = document.forms["form1"]["articles"].value;
var term = document.forms["form1"]["term"].value;

if(symbol == null || symbol == "")
{
	alert('Please choose an appropriate Symbol');
	return false;
}

if(quantity == "" || !(quantity==parseInt(quantity,10)) || quantity <= 0)
{
	alert('Please choose a postive integer Quantity');
	return false;
}

if(term == "--")
{
	alert('Please choose an appropriate Term');
	return false;
}

if(ordertype == "--")
{
	alert('Please choose an Order Type');
	return false;
}

if(pricetype == "--")
{
	alert('Please choose an appropriate Price Type');
	return false;
}
else
{
	if(pricetype == "limit")
	{
		var limitprice = document.forms["form1"]["limitprice"].value;
		if(limitprice == "" || !(limitprice==parseFloat(limitprice)) || limitprice <= 0)
		{
			alert('Please choose a positive decimal Limit Price');
			return false;
		}
			
	}
	if(pricetype == "stop")
	{
		var stopprice = document.forms["form1"]["stopprice"].value;
		if(stopprice=="" || !(stopprice==parseFloat(stopprice)) || stopprice <=0)
		{
			alert('Please choose a positive decimal Stop Price');
			return false;
		}
	}
	if(pricetype == "trailingstop$")
	{
		var stoppricechange = document.forms["form1"]["stoppricechange"].value;
		if(stoppricechange=="" || !(stoppricechange==parseFloat(stoppricechange)) || stoppricechange <=0)
		{
			alert('Please choose a positive decimal Trailing Stop Price');
			return false;
		}
	}
	if(pricetype == "trailingstop%")
	{
		var stoppercentage = document.forms["form1"]["stoppercentage"].value;
		if(stoppercentage=="" || !(stoppercentage==parseFloat(stoppercentage)) || stoppercentage <=0)
		{
			alert('Please choose a positive decimal Trailing Stop Percentage');
			return false;
		}
	}
}

/*Make new option for submitting ticket and revising*/

var submitticket = document.getElementById("submitticket");
if(submitticket == null)
	return true;
alert("\tYour order ticket is valid.\t  \nPlease review the contents before clicking 'Final Submit'");
$('#submitticket').remove();
$('#form1').append('<input type = "hidden" name="ordertypefin" id = "ordertypefin" value = "'+ document.forms["form1"]["ordertype"].value + '"/>');
$('#form1').append('<input type = "hidden" name="termfin" id = "termfin" value = "'+ document.forms["form1"]["term"].value + '"/>');
$('#form1').append('<input type = "hidden" name="pricetypefin" id = "pricetypefin" value = "'+ document.forms["form1"]["articles"].value + '"/>');

/*Disable all fields*/

document.form1.ordertype.disabled = true;
document.form1.ticker1.readOnly = true;
document.form1.term.disabled = true;
document.form1.quantity.readOnly = true;
document.form1.articles.disabled = true;
if(pricetype == "limit")
	document.form1.limitprice.readOnly = true;	
if(pricetype == "stop")
	document.form1.stopprice.readOnly = true;
if(pricetype == "trailingstop$")
	document.form1.stoppricechange.readOnly = true;	
if(pricetype == "trailingstop%")
	document.form1.stoppercentage.readOnly = true;		
$('#form1').append('<input type = "submit" name="finalsubmit" id = "finalsubmit" value = "Final Submit"/>');
$('#form1').append('<input type = "button" name="revise" id = "revise" onclick = "makechanges()" value = "Revise"/>');
return false;
};

</script>


<div id="body" style="width:760px;margin:auto" align="center">

<form name = "form1" id="form1" action = "process.php" method = "post" class="asholder" onsubmit = "return validateForm();">
<h3><center>Order Form</center></h3>
<strong>Commission Fee is 10 Dollars</strong>

<?php if(isset($_GET["error"])) {?>
<p style="color: red;">Error: Stock does not exist</p>
<?php }?>
<?php if(isset($_GET["ballow"])) {?>
<p style="color: red;">Error: Balance is too low to complete order</br> You have <?php echo number_format($_GET["balance"],'2','.',',');?> dollars and the total order price is <?php echo number_format($_GET["ballow"],'2','.',',');?> dollars</p>
<?php }?>
<?php if(isset($_GET["powlow"])) {?>
<p style="color: red;">Error: Purchasing power is too low to complete order</br> You have <?php echo number_format($_GET["balance"],'2','.',',');?> dollars and the total order price is <?php echo number_format($_GET["ballow"],'2','.',',');?> dollars</p>
<?php }?>
<?php if(isset($_GET["short"])) {?>
<p style="color: red;">Error: Not enough shorted stock</br> You have <?php echo $_GET['short'];?> shorted stock and you want to buytocover <?php echo $_GET['quant'];?> stocks</p>
<?php }?>
<?php if(isset($_GET["stocklow"])) {?>
<p style="color: red;">Error: Not enough stock in portfolio for sell</br> You have <?php echo number_format($_GET["stocklow"],'0','.',',');?> stocks of <?php echo $_GET["stock"];?>. </br>Please keep in mind that submitted sell orders are counted as "lost" stocks </p>
<?php }?>
<?php if(isset($_GET["stocknone"])) {?>
<p style="color: red;">Error: Stock does not exist in portfolio</p>
<?php }?>
<?php if(isset($_GET["success"])) {?>
<p style="color: green;">Success: Your order ticket has been submitted</p>
<?php }?>
<?php if(isset($_GET["stockerror"])) {?>
<p style="color: red;">Error: The stock does not fall in the league's allowed sectors</p>
<?php }?>

<table style = "width: 300px">
<tr>

	<td style = "width: 50%" align="left"><label for="ticker1" >Symbol:</label></td>
	<td style = "width: 50%" align="left"><input name="ticker1" id="ticker1" type="text" style ="width:150px" value="<?php echo $_GET["symbol"] ?>"/></td>
</tr>
<tr>	
	<td style = "width: 50%" align="left"><label for="quantity" >Quantity: </label></td>
	<td style = "width: 50%"><input name="quantity" type="text" style = "width:150px" value="<?php echo $_GET["quantity"] ?>"/></td>
</tr>
<tr>
	<td style = "width: 50%" align="left"><label for = "ordertype">Order Type:</label></td>
	<td style = "width: 50%"><select name = "ordertype" id = "ordertype" style = "width:150px">
		
		<option selected value = "--">--</option>
		<option value = "buy">Buy</option>
		<option value = "sell">Sell</option>
		<option value = "sellshort">Sell Short</option>
		<option value = "buytocover">Buy to Cover</option>
		
	</select></td>
</tr>
<tr>
	<td style = "width: 50%" align="left"><label for = "term">Term:</label></td>
	<td style = "width: 50%"><select name = "term" id = "term" style = "width:150px">
		<option selected value = "--">--</option>
		<option value = "1">Good for the Day</option>
		<option value ="60">Good for 60 Days</option>
	</select></td>
</tr>
<tr>
	<td style = "width: 50%" align="left"><label for = "articles">Price Type:</label></td>
	<td style = "width: 50%"><select name = "articles" id = "articles" style = "width:150px" disabled="disabled">
	</select></td>
</tr>
<tr>	
	<td style = "width: 50%" align="left"><label for="limitprice" >Limit Price: </label></td>
	<td style = "width: 50%"><input name="limitprice" type="text" style = "width:150px;" readonly="readonly" /></td>
</tr>
<tr>	
	<td style = "width: 50%" align="left"><label for="stopprice" >Stop Price: </label></td>
	<td style = "width: 50%"><input name="stopprice" type="text" style = "width:150px" readonly="readonly" /></td>
</tr>
<tr>	
	<td style = "width: 50%" align="left"><label for="stoppricechange" >Trailing Stop $: </label></td>
	<td style = "width: 50%"><input name="stoppricechange" type="text" style = "width:150px" readonly="readonly"/></td>
</tr>
<tr>	
	<td style = "width: 50%" align="left"><label for="stoppercentage" >Trailing Stop %: </label></td>
	<td style = "width: 50%"><input name="stoppercentage" type="text" style = "width:150px" readonly="readonly" /></td>
</tr>
</table>
</br>
	<input type = "submit" name="submitticket" id="submitticket" value = "Submit Ticket" align="vertical-align:bottom"/>
</form>
</div>

<script src = "http://code.jquery.com/jquery-1.5.min.js"></script>
<script>
$(document).ready(function () {
	$('#ordertype').change(function () {
		var categoryName = $('#ordertype').val();
		if(categoryName == "--")
		{
			document.form1.articles.disabled = true;
		}
		document.form1.articles.disabled = false;
		$('#articles').load('html_boxes/select-box-' + categoryName + '.html');	
		$('#articles').change(function () {
			var articleName = $('#articles').val();
			document.form1.limitprice.value = "";	
			document.form1.stopprice.value = "";	
			document.form1.stoppricechange.value = "";	
			document.form1.stoppercentage.value = "";
			document.form1.limitprice.readOnly = true;	
			document.form1.stopprice.readOnly = true;
			document.form1.stoppricechange.readOnly = true;	
			document.form1.stoppercentage.readOnly = true;
				
			if(articleName == "limit"){
				document.form1.limitprice.readOnly = false;
			}
			else if (articleName == "stop"){
				document.form1.stopprice.readOnly = false;
			}
			else if (articleName == "trailingstop$"){
				document.form1.stoppricechange.readOnly = false;					
			}
			else if (articleName == "trailingstop%"){
				document.form1.stoppercentage.readOnly = false;
			}
		});
	});
		
});
</script>


<script type="text/javascript">
	var exchange = "";
	var industry = "";
	var sector = "";
	var options0 = {
		script:"autosuggest_v2.1.3/test.php?json=true&exchange=" + exchange +  "&industry="+industry+"&sector="+sector +"&",
		varname:"input",
		json:true,
		shownoresults:false,
		maxresults:25,
	};
	var as_json0 = new bsn.AutoSuggest('ticker1', options0);
	
	function newstock()
	{
		options0 = {
		script:"autosuggest_v2.1.3/test.php?json=true&exchange=" + exchange +  "&industry="+industry+"&sector="+sector +"&",
		varname:"input",
		json:true,
		shownoresults:false,
		maxresults:25,
		};
		as_json0 = new bsn.AutoSuggest('ticker1', options0);
	};

	var options = {
		script:"autosuggest_v2.1.3/exchange.php?json=true&",
		varname:"input",
		json:true,
		shownoresults:false,
		maxresults:25,
	};
	var as_json = new bsn.AutoSuggest('exchange', options);

	var options1 = {
		script:"autosuggest_v2.1.3/sector.php?json=true&",
		varname:"input",
		json:true,
		shownoresults:false,
		maxresults:25,
	};
	var as_json1 = new bsn.AutoSuggest('sector', options1);

	var options2 = {
		script:"autosuggest_v2.1.3/industry.php?json=true&",
		varname:"input",
		json:true,
		shownoresults:false,
		maxresults:25,
	};
	var as_json2 = new bsn.AutoSuggest('industry', options2);

	function makechanges()
	{
		var pricetype = document.forms["form1"]["articles"].value;
		$('#revise').remove();
		$('#ordertypefin').remove();
		$('#termfin').remove();
		$('#pricetypefin').remove();
		$('#finalsubmit').remove();
		$('#form1').append('<input type = "submit" name="submitticket" id = "submitticket" value = "Submit Ticket"/>');
		document.form1.ordertype.disabled = false;
		document.form1.ticker1.readOnly = false;
		document.form1.term.disabled = false;
		document.form1.quantity.readOnly = false;
		document.form1.articles.disabled = false;
		if(pricetype == "limit")
			document.form1.limitprice.readOnly = false;	
		if(pricetype == "stop")
			document.form1.stopprice.readOnly = false;
		if(pricetype == "trailingstop$")
			document.form1.stoppricechange.readOnly = false;	
		if(pricetype == "trailingstop%")
			document.form1.stoppercentage.readOnly = false;	
	};
</script>

<?php include("headerfiles/end.php"); ?>
