<!--
Written By: Aaron Sun
Tested By: Aaron Sun
Debugged By: Aaron Sun
-->

<html>
<title>
Processing Order
</title>

<body>
<?php

/*Retrieve info about the stock*/

include "headerfiles/datalogin.php";
require_once 'headerfiles/stockinfoprovider.php';
$data = get_info($_POST["ticker1"]);

$b = intval($_POST["quantity"]);
$pricepershare = doubleval($data['price']);
$price = doubleval($data['price']);
$spread = doubleval($data['ask_price']) - doubleval($data['bid_price']);
$v = (double)0.01;
$l =(double) ($price / $spread);
$s = doubleval($data['ask_price']);
$z = doubleval($data['ask_size']);
$s1 = doubleval($data['bid_price']);
$z1 = doubleval($data['bid_size']);
$n = (int) ($b/$z);

/*This will be true if stock does not exist*/

if($data['price'] == "0.00")
{
	header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?error");
        exit(0);
}
else
{
session_start();

/*Find the league or fund id, and change the queries accordingly*/

$userid = $_SESSION['user'];
$leagueid = $_SESSION['leagueid'];
$word="leagueid";
if($leagueid == 0)
{
   $leagueid = $_SESSION['fundid'];
   $word = "fundid";
}
else
{

/*Check if stock is allowed by league*/

$stockallow = mysql_query("SELECT sectors FROM leagues WHERE ".$word."=".$leagueid."");
$allowed = mysql_fetch_array($stockallow);
$there = mysql_query('SELECT stock FROM stocks WHERE '.$allowed["sectors"].' AND stock="'.$_POST['ticker1'].'"');
$here = mysql_fetch_array($there);
$have = mysql_query("SELECT stock FROM stocks WHERE stock='".$_POST['ticker1']."'");
$haz = mysql_fetch_array($have);

if(!$here && $haz)
{
   header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?stockerror");   
   exit(0);
} 
}

/*Calculate the total price of the buy*/

$totalprice=0;
$portquery = mysql_query("SELECT portfolioid,cashbalance FROM portfolios WHERE userid=".$userid." AND ".$word."=".$leagueid."");
$portrows = mysql_fetch_array($portquery);
$cashbalance = $portrows['cashbalance'];
$yes = 0;
if($word == "fundid")
{
	$p = mysql_query("SELECT margin,power FROM funds WHERE fundid=".$leagueid."");
	$po = mysql_fetch_array($p);
	if($po['margin'] > 1)
	{
		$yes = 1;
		$cashbalance = $po['power'];
	}
}

if($_POST['ordertypefin'] == "buy" || $_POST['ordertypefin'] == "buytocover")
{
	if($_POST['ordertypefin'] == "buytocover")
	{
		$s = mysql_query("SELECT * FROM tickets WHERE buysell='sellshort' AND done=0 AND stock='".strtoupper($_POST['ticker1'])."' AND userid=".$userid."");
		$count = 0;
		$sum = 0;
		while($sho = mysql_fetch_array($s))
		{
			$sum = $sum + $sho['quantity'] - $sho['short'];
		}
		if((intval($_POST['quantity']) > $sum) || $sum==0)
		{
			header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?short=".$sum."&quant=".intval($_POST['quantity'])."");
			exit(0);
		}
		
	}
	for($i = 0; $i < $n; $i++)
	{
		$totalprice = $totalprice + pow(1+$v/$l,$i)*$s*$z;
	}
	if ($n!=0)
		$totalprice = $totalprice + pow(1+$v/$l,$n)*($b%$z)*$s + 10.00;
	else
		$totalprice = $totalprice + $b*$s + 10.00;
	if($totalprice > $cashbalance)
	{
		if($yes == 0)
			header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?ballow=".$totalprice."&balance=".$cashbalance."");
		else
			header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?powlow=".$totalprice."&balance=".$cashbalance."");
		exit(0);
	}
}	
else if($_POST['ordertypefin'] == "sell")	
{	

	/*See if you have enough stocks to sell*/

	if($cashbalance < 10)
	{
		if($yes==0)
			header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?ballow=10&balance=".$cashbalance."");
		else
			header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?powlow=10&balance=".$cashbalance."");
			
		exit(0);
	}
	$totalstock = mysql_query("SELECT quantity FROM tickets WHERE pending=1 AND userid=".$userid." AND (buysell='sell' OR buysell='sellshort') AND ".$word."=".$leagueid."");
	$soldstocks = 0;
	while($soldrows = mysql_fetch_array($totalstock))
	{
		$soldstocks = $soldstocks + $soldrows['quantity'];
	}
	$stocksheld = mysql_query("SELECT quantity FROM stocksheld WHERE portfolioid=".$portrows['portfolioid']." AND stock='".$_POST["ticker1"]."'");
	$stocksrow = mysql_fetch_array($stocksheld);
	if($stocksrow == false)
	{
		header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?stocknone");
		exit(0);
	}
	else if($_POST["quantity"] > ($stocksrow['quantity'] - $soldstocks))
	{
		header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?stocklow=".($stocksrow['quantity'] - $soldstocks)."&stock=".$_POST["ticker1"]);
		exit(0);
	}
}
else if($_POST['ordertypefin'] == "sellshort")	
{
	if($cashbalance < 10)
	{
		if($yes==0)
			header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?ballow=10&balance=".$cashbalance."");
		else
			header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?powlow=10&balance=".$cashbalance."");
			
		exit(0);
	}
}

/*Insert the ticket*/

$query = mysql_query("INSERT INTO tickets (userid,type,buysell,stock,enterdate,quantity,pending,ttl,leagueid,lastdatereview,fundid) values (".$userid.", '".$_POST["pricetypefin"]."','".$_POST["ordertypefin"]."','".strtoupper($_POST["ticker1"])."', NOW(),".intval($_POST["quantity"]).",1,".intval($_POST["termfin"]).",".$_SESSION['leagueid'].",NOW(),".$_SESSION['fundid'].")");

$ticket = mysql_query("SELECT ticketid FROM tickets WHERE userid = ".$userid." ORDER BY ticketid DESC LIMIT 0,1");
$row = mysql_fetch_array($ticket);

/*Insert data into various tables depending on price type*/

if($_POST["pricetypefin"] == "limit")
{
	$query2 = mysql_query("INSERT INTO limitorders VALUES(".$row['ticketid'].",".doubleval($_POST["limitprice"]).")");
}
if($_POST["pricetypefin"] == "stop")
{
	$query2 = mysql_query("INSERT INTO stoporders (ticketid,price) VALUES(".$row['ticketid'].",".doubleval($_POST["stopprice"]).")");
}
if($_POST["pricetypefin"] == "trailingstop$")
{
	$query2 = mysql_query("INSERT INTO stoporders (ticketid,highwatermark,stoppricechange) VALUES(".$row['ticketid'].",".$pricepershare.",".doubleval($_POST["stoppricechange"]).")");
}
if($_POST["pricetypefin"] == "trailingstop%")
{
	$query2 = mysql_query("INSERT INTO stoporders (ticketid,highwatermark,stoppercentage) VALUES(".$row['ticketid'].",".$pricepershare.",".doubleval($_POST["stoppercentage"]).")");
}

/*Allow for immediate data processing*/

header("Location: http://".$_SERVER['SERVER_NAME']."/transaction.php?order");
}
?>
</body>
</html>
