<!--
Written By: Aaron Sun
Tested By: Aaron Sun
Debugged By: Aaron Sun
-->

<?php
	
$title = "Manage League";

$hide_nav = true;
include "headerfiles/begin.php";

/*Get information about the league*/

include "headerfiles/datalogin.php";
session_start();

?>
<script>
function validateForm()
{

/*Validate the fields entered*/

var enddate = document.forms["createleague"]["enddate"].value;

if(enddate == null || enddate=="")
{
	alert('Please choose an End Date');
	return false;	
}
else
{
	var correctformat = validateUSDate(enddate);
	if(!correctformat)
	{
		alert('End Date is not properly formatted');
		return false;
	}
}

}

/*See if date is valid*/

function validateUSDate( strValue ) {
 var objRegExp = /^\d{2}(\/)\d{2}\1\d{4}$/
 
  //check to see if in correct format
  if(!objRegExp.test(strValue))
    return false; //doesn't match pattern, bad date
  else{
    var strSeparator = strValue.substring(2,3) 
    var arrayDate = strValue.split(strSeparator); 
    //create a lookup for months not equal to Feb.
    var arrayLookup = { '01' : 31,'03' : 31, 
                        '04' : 30,'05' : 31,
                        '06' : 30,'07' : 31,
                        '08' : 31,'09' : 30,
                        '10' : 31,'11' : 30,'12' : 31}
    var intDay = parseInt(arrayDate[1],10); 

    //check if month value and day value agree
    if(arrayLookup[arrayDate[0]] != null) {
      if(intDay <= arrayLookup[arrayDate[0]] && intDay != 0)
        return true; //found in lookup table, good date
    }
    
    //check for February (bugfix 20050322)
    //bugfix  for parseInt kevin
    //bugfix  biss year  O.Jp Voutat
    var intMonth = parseInt(arrayDate[0],10);
    if (intMonth == 2) { 
       var intYear = parseInt(arrayDate[2]);
       if (intDay > 0 && intDay < 29) {
           return true;
       }
       else if (intDay == 29) {
         if ((intYear % 4 == 0) && (intYear % 100 != 0) || 
             (intYear % 400 == 0)) {
              // year div by 4 and ((not div by 100) or div by 400) ->ok
             return true;
         }   
       }
    }
  }  
  return false; //any other values, bad date
}
</script>

<div style="width:760px;margin:auto">

<h3>Manage Your League</h3>
<?php 

/*Find the league from the leaguename*/

include("headerfiles/datalogin.php"); 
$name = mysql_real_escape_string($_GET['leaguename']);
$query = mysql_query("SELECT * FROM leagues WHERE leaguename='".$name."'");
$name = $_GET['leaguename'];
$league=mysql_fetch_array($query);

/*Same form as leagues, but populate with existing fields*/
?>
<?php if(isset($_GET["enddate"])) {?>
<p style="color: red;">Error: End Date is not valid</p>
<?php }?>
<form name = "createleague" id="createleague" action = "ProcessCreate.php" method="post" style="width:650px;margin:auto" onsubmit = "return validateForm();">
	<label for="name">League Name</label>
	</br>
	<input type="text" name="name" style="width:300px" value="<?php echo $name;?>" readOnly="readOnly"/>
	<br/>
	<br/>
	<label for="description">League Description:</label>
	<textarea name="description" id="description" rows="3" cols="75" wrap="virtual"><?php echo $league['description']; ?>

	</textarea>
	</br>
	</br>
	<label for="public">Public or Private (Private Leagues can only be joined via invitations)</label></br>
	<input type="radio" name="public" value="1" checked/>Public <br />
	<input type="radio" name="public" value="0" />Private <br />
	<br/>
	<label for="balance">Starting Balance</label><br />
	<input type="radio" name="balance" value="10000" />$10,000 <br />
	<input type="radio" name="balance" value="100000"  checked/>$100,000 <br />
	<input type="radio" name="balance" value="100000" />$1,000,000 <br />
	<br/>
	<label for="sectors">Allowed Sectors</label><br />
	<input type="checkbox" name="sectors[]"  id="sector" value="Basic Industries" checked/>Basic Industries</br>
	<input type="checkbox" name="sectors[]"  id="sector" value="Capital Goods" />Capital Goods</br>
	<input type="checkbox" name="sectors[]"  id="sector" value="Consumer Durables" />Consumer Durables</br>
	<input type="checkbox" name="sectors[]"  id="sector" value="Consumer Non-Durables" />Consumer Non-Durables</br>
	<input type="checkbox" name="sectors[]"  id="sector" value="Consumer Services" />Consumer Services</br>
	<input type="checkbox" name="sectors[]"  id="sector" value="Energy" />Energy</br>
	<input type="checkbox" name="sectors[]"  id="sector" value="Finance" />Finance</br>
	<input type="checkbox" name="sectors[]"  id="sector" value="Health Care" />Healthcare</br>
	<input type="checkbox" name="sectors[]"  id="sector" value="Miscellaneous" />Miscellaneous</br>
	<input type="checkbox" name="sectors[]"  id="sector" value="Public Utilities" />Public Utilities</br>
	<input type="checkbox" name="sectors[]"  id="sector" value="Technology" />Technology</br>
	<input type="checkbox" name="sectors[]"  id="sector" value="Transportation" />Transportation</br>
	</br>
	<label for="funds">Allow Investing in Funds (Bears &amp; Bulls Funds)</label></br>
	<input type="radio" name="funds" value="1" checked/>Yes <br />
	<input type="radio" name="funds" value="0" />No <br />
	</br>
	<label for="startdate">End Date</label></br>
	<input type="text" name="enddate" value="<?php echo date('m/d/Y', strtotime($league['enddate'])); ?>"/> mm/dd/yyyy </br>
	<input type="submit" value="Submit Changes" />
	<input type="hidden" name="manage" value="manage"/>

</form>
</form>
<form action = "index.php" name ="detailer"  style="width:650px;margin:auto">
<input type = "submit" name="backwards" value = "Return To Home"/>
</form>
</div>
