<!--
Written By: William Pan, Pratik Ringshia
Tested By: Aaron Sun, William Pan, Pratik Ringshia
Debugged By: Aaron Sun
-->


<?php include("headerfiles/begin.php"); ?>
<html>
<head>

</head>
<title>Quotes</title>

</body>


<div style="width:760px;margin:auto;"> 
<?php

/*Output table and graph with fields below*/

require_once 'headerfiles/stockinfoprovider.php';

if(isset($_POST["ticker"]) || isset($_POST["stock"])){

	if(isset($_POST["ticker"]))
		$ticker = strtolower($_POST["ticker"]);		
	else
		$ticker = strtolower($_POST["stock"]);
		
	$data = get_info($ticker);
	
	
	if(isset($_POST["ticker"]))
		$stocksymbol = strtoupper($_POST["ticker"]);
	else
		$stocksymbol = strtoupper($_POST["stock"]);
	
	
	if (strpos($data['change'], '-') === false)
		$color = "green";
	else
		$color = "#990000";
	
	echo "<h2 class='stock_name'>".$data['name']." <a href='/order.php?symbol=".$stocksymbol."'>Buy</a></h2>";
	echo "<p class='stock_price'>".$data['price']."<span class='change' style='color: $color;'>".$data['change']." (".$data['change_percent'].")</span></p>";
    echo "<table class='stock_info' border=\"0\" cellspacing='0'>";
	echo "<tr><td>Bid (Size)</td><td>Ask (Size)</td><td>Day's Range</td><td>Volume</td></tr>";
   	echo "<tr>";
	echo "<td>".$data['bid_price']." (".$data['bid_size'].") </td>"; // Bid and Size
	echo "<td>".$data['ask_price']." (".$data['ask_size'].") </td>"; // Ask and Size
	echo "<td>".$data['day_range']."</td>"; // Day's Range
	echo "<td>".$data['volume']."</td>"; //volume
	echo "</tr>";	
    echo "</table>";
	
	$url_escaped = str_replace("^", "'&#94;'", str_replace("/", "'&#47;'", $stocksymbol));
	
	echo "<div id='stock_pic'><img src='http://www.google.com/finance/getchart?q=".$url_escaped."&p=1d&i=240' alt='".$stocksymbol."'/></div>";

	include("headerfiles/getfeed.php");
	getFeed("http://feeds.finance.yahoo.com/rss/2.0/headline?s=".$ticker."&region=US&lang=en-US");

}
?>
</div>
</body>
</html>
<?php include("headerfiles/end.php"); ?>
