<!--
Written By: Aaron Sun
Tested By: Aaron Sun
Debugged By: Aaron Sun
-->

<html>
<title>
Transaction Processing
</title>

<body>
<?php

require_once 'headerfiles/stockinfoprovider.php';
include "headerfiles/datalogin.php";

date_default_timezone_set('America/New_York');
$query = mysql_query("SELECT * FROM tickets WHERE pending=1 ORDER BY ticketid");

$time = date("Hi");
if($time >= '0930' && $time <= '1600')
{ 
while($row = mysql_fetch_array($query))
{
       

	/*Is the ticket still valid?*/
	$ttl = mysql_query("SELECT DATEDIFF(NOW(),'".$row['lastdatereview']."')");
	mysql_query("UPDATE tickets SET lastdatereview=NOW() WHERE ticketid=".$row['ticketid']."");
	$ttlrow = mysql_fetch_array($ttl);
	$newttl = 1;
	if($ttlrow["DATEDIFF(NOW(),'".$row['lastdatereview']."')"] >=1)
	{
		$newttl = $row['ttl'] - $ttlrow["DATEDIFF(NOW(),'".$row['lastdatereview']."')"];
		mysql_query("UPDATE tickets SET ttl=".$newttl." WHERE ticketid=".$row['ticketid']."");
	}
	if($newttl == 0)
	{
		mysql_query("UPDATE tickets SET pending=0 WHERE ticketid=".$row['ticketid']."");
		continue;
	}

	/*get stock information*/
    $data = get_info($row['stock']);

	$b = intval($row['quantity']);
	$ticketid = intval($row['ticketid']);
	$price = doubleval($data['price']);
	$spread = doubleval($data['ask_price']) - doubleval($data['bid_price']);
	$v = (double)0.01;
	$l =(double) ($price / $spread);
	$s = doubleval($data['ask_price']);
	$z = doubleval($data['ask_size']);
	$s1 = doubleval($data['bid_price']);
	$z1 = doubleval($data['bid_size']);
        //if(!$s || !$z || !$s1 || !$z1)
	//	continue; 
	$n = (int) ($b/$z);
	
	/*check conditions*/
	if($row['type'] == "limit")
	{
		$limit = mysql_query("SELECT * FROM limitorders WHERE ticketid=".$ticketid."");
		$limitrow = mysql_fetch_array($limit);
		if($row['buysell'] == "buy")
		{
			if($price > $limitrow['limitprice'])
				continue;
		}
		else
		{
			if($price < $limitrow['limitprice'])
			continue;
		}
	}	

	if($row['type'] == "stop")
	{
		$stop = mysql_query("SELECT * FROM stoporders WHERE ticketid=".$ticketid."");
		$stoprow = mysql_fetch_array($stop);
		if($row['buysell'] == "buytocover")
		{
			if($price < $stoprow['price'])
				continue;	
		}
		else
		{
			if($price > $stoprow['price'])
				continue;
		}
		
	}
	
	if($row['type'] == "trailingstop$")
	{
		$stop = mysql_query("SELECT * FROM stoporders WHERE ticketid=".$ticketid."");
		$stoprow = mysql_fetch_array($stop);
		if($price > $stoprow['highwatermark'])
		{
			mysql_query("UPDATE stoporders SET highwatermark=".$price." WHERE ticketid=".$ticketid."");
		}
		if($row['buysell'] == "buytocover" || $row['buysell'] == "sell")
		{
			if($price > ($stoprow['highwatermark'] - $stoprow['stoppricechange']))
				continue;	
		}
		
	}
	
	if($row['type'] == "trailingstop%")
	{
		$stop = mysql_query("SELECT * FROM stoporders WHERE ticketid=".$ticketid."");
		$stoprow = mysql_fetch_array($stop);
		if($price > $stoprow['highwatermark'])
		{
			mysql_query("UPDATE stoporders SET highwatermark=".$price." WHERE ticketid=".$ticketid."");
		}
		if($row['buysell'] == "buytocover" || $row['buysell'] == "sell")
		{
			if($price > ($stoprow['highwatermark'])*(1.00-$stoprow['stoppercentage']/100))
				continue;	
		}
		
	}

	/*calculate total price*/
	$totalprice=(double)0.00;

	if($row['buysell'] == "buy" || $row['buysell'] == "sellshort")
	{
		for($i = 0; $i < $n; $i++)
		{
			$totalprice = $totalprice + pow(1+$v/$l,$i)*$s*$z;
		}
		if ($z!=0)
			$totalprice = $totalprice + pow(1+$v/$l,$n)*($b%$z)*$s;
		else
			$totalprice = $totalprice + $b*$s;
		
	}
	else
	{
		$n = (int)($b/$z1);
		for($i = 0; $i < $n; $i++)
		{
			$totalprice = $totalprice + pow(1+$v/$l,$i)*$s1*$z1;
		}
		if ($z1!=0)
			$totalprice = $totalprice + pow(1+$v/$l,$n)*($b%$z1)*$s1;
		else
			$totalprice = $totalprice + $b*$s1;
	}

	/*Find the correct portfolio*/
	$userid = intval($row['userid']);
	$leagueid = intval($row['leagueid']);
	$fundid = intval($row['fundid']);
	$yes = 0;
	if($fundid!=0)
	{
		$p = mysql_query("SELECT power,margin,base FROM funds WHERE fundid=".$fundid."");
		$po = mysql_fetch_array($p);
		if($po['margin'] > 1)
		{
			$power = $po['power'];
			$yes=1;
		}
	}
	
	
	if($leagueid != 0)
	{
		$portfolio = mysql_query("SELECT * FROM portfolios WHERE userid=".$userid." AND leagueid=".$leagueid."");
	}
	else
	{
		$portfolio = mysql_query("SELECT * FROM portfolios WHERE userid=".$userid." AND fundid=".$fundid."");
	}
	
	$portrow = mysql_fetch_array($portfolio);
	$portfolioid = $portrow['portfolioid'];
	$cashbalance = doubleval($portrow['cashbalance']);
	
	/*Update the Balance*/	
	$stocksheld = mysql_query("SELECT * FROM stocksheld WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'");
	$stockheldrow = mysql_fetch_array($stocksheld);

	if($row['buysell'] == "buy" || $row['buysell'] == "buytocover")
	{
		if($row['buysell'] == "buy")
		{
			if(!$stockheldrow)
			{
				mysql_query("INSERT INTO stocksheld (portfolioid,stock,quantity) VALUES(".$portfolioid.",'".$row['stock']."',0)");
				$stocksheld = mysql_query("SELECT * FROM stocksheld WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'");
				$stockheldrow = mysql_fetch_array($stocksheld);
			}
		}
		if($yes == 1)
		{
			$power = $power - $totalprice - 10.00;
			if($cashbalance > ($totalprice + 10.00))
				$cashbalance = $cashbalance - $totalprice - 10.00;
			elseif ($cashbalance > 0)
				$cashbalance = 0;
		}
		else
			$cashbalance = doubleval($cashbalance - $totalprice-10.00);
		$newquantity = $stockheldrow['quantity'] + $row['quantity'];
		if($row['buysell'] == "buy")
			mysql_query("UPDATE stocksheld SET quantity=".$newquantity." WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'");
		else
		{
			$s = mysql_query("SELECT * FROM tickets WHERE buysell='sellshort' AND done=0 AND stock='".$row['stock']."' ORDER BY ticketid");
			$shortnum = $stockheldrow['shortnum'];
			while($sho = mysql_fetch_array($s))
			{
				$left = $sho['quantity'] - $sho['short'];
				if($left >= $row['quantity'])
				{
					$new = $sho['short'] + $row['quantity'];
					if($new < $sho['quantity'])
					{
						mysql_query("UPDATE tickets SET short=".$new." WHERE ticketid=".$sho['ticketid']."");
						$cashbalance = $cashbalance + $row['quantity']/$sho['quantity']*$sho['pricepaid'];
					}
					else
					{
						mysql_query("UPDATE tickets SET short=".$new.",done=1 WHERE ticketid=".$sho['ticketid']."");
						$shortnum--;
						mysql_query("UPDATE stocksheld SET shortnum=".$shortnum." WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'");	
						$cashbalance = $cashbalance + $row['quantity']/$sho['quantity']*$sho['pricepaid'];
					}
					break;
				}
				else
				{
					$row['quantity'] = $row['quantity'] - $left;
					$shortnum--;
					$cashbalance = $cashbalance + $left/$sho['quantity']*$sho['pricepaid'];
					mysql_query("UPDATE stocksheld SET shortnum=".$shortnum." WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'");
					mysql_query("UPDATE tickets SET short=".$sho['quantity'].",done=1 WHERE ticketid=".$sho['ticketid']."");
				}
			}
			mysql_query("UPDATE stocksheld SET quantity=".$newquantity." WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'");
			mysql_query("UPDATE tickets SET done=1 WHERE ticketid=".$ticketid."");
			if($newquantity==0 && $shortnum == 0)
				mysql_query("DELETE FROM stocksheld WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'"); 
		}
	}
	else if($row['buysell'] == "sell")
	{
		$shortnum = $stockheldrow['shortnum'];
		if($yes == 1)
		{
			if($power >= (($po['margin']-1)*(1000000+$po['base'])))
				$cashbalance = doubleval($cashbalance + $totalprice-10.00);
			else if(($power + ($totalprice - 10.00)) >  (($po['margin']-1)*(1000000+$po['base'])))
				$cashbalance = doubleval($cashbalance + ($power +$totalprice -10.00 -(($po['margin']-1)*(1000000+$po['base']))));
				
			$power = $power + $totalprice - 10.00;
			
		}
		else
			$cashbalance = doubleval($cashbalance + $totalprice-10.00);
		$newquantity = $stockheldrow['quantity'] - $row['quantity'];
		mysql_query("UPDATE stocksheld SET quantity=".$newquantity." WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'");
		if($newquantity==0 && $shortnum == 0)
			mysql_query("DELETE FROM stocksheld WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'"); 
	}
	else
	{
		if(!$stockheldrow)
			{
				mysql_query("INSERT INTO stocksheld (portfolioid,stock,quantity) VALUES(".$portfolioid.",'".$row['stock']."',0)");
				$stocksheld = mysql_query("SELECT * FROM stocksheld WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'");
				$stockheldrow = mysql_fetch_array($stocksheld);
			}
		$shortnum = $stockheldrow['shortnum'];
		if($yes == 1)
		{
			if($power >= (($po['margin']-1)*(1000000+$po['base']))+10)
				$cashbalance = doubleval($cashbalance-10.00);
				
			$power = $power - 10.00;	
		}
		else
			$cashbalance = doubleval($cashbalance -10.00);
		$newquantity = $stockheldrow['quantity'] - $row['quantity'];
		mysql_query("UPDATE stocksheld SET quantity=".$newquantity." WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'");
		$shortnum++;
		mysql_query("UPDATE stocksheld SET shortnum=".$shortnum." WHERE portfolioid=".$portfolioid." AND stock='".$row['stock']."'");		
	}
	/*Update portfolio*/
	
	if($leagueid!=0)
	{
		mysql_query("UPDATE portfolios SET cashbalance=".$cashbalance." WHERE userid=".$userid." AND leagueid=".$leagueid."");
	}
	else
	{
		mysql_query("UPDATE portfolios SET cashbalance=".$cashbalance." WHERE userid=".$userid." AND fundid=".$fundid."");
		if($yes==1)
			mysql_query("UPDATE funds SET power=".$power." WHERE fundid=".$fundid."");
	}
	
	mysql_query("UPDATE tickets SET pending=0, executiondate=NOW(),pricepaid=".doubleval($totalprice).", marketval=".$price." where ticketid=".$ticketid."");
}

$query = mysql_query("SELECT * FROM invest WHERE pending=0 ORDER BY fundid");
$fundid=0;
while($row = mysql_fetch_array($query))
{
	$amount = $row['amount'];
	$current = $row['current'];
	$investid = $row['investid'];
	$worth = $row['worth'];
			/*Calculate percentage and total worth of each portfolio*/
		
	if($fundid != $row['fundid'])
	{
			$fundid = $row['fundid'];
			$b = mysql_query("SELECT base FROM funds WHERE fundid=".$fundid."");
			$b2 = mysql_fetch_array($b);
			$base = $b2['base'];
			
			$query3 = mysql_query("SELECT portfolioid,cashbalance FROM portfolios WHERE fundid=".$fundid."");
			$row2 = mysql_fetch_array($query3);
			$stockquery = mysql_query("SELECT stock,quantity FROM stocksheld WHERE portfolioid=".$row2['portfolioid']."");
			$totalgain = 0.00;
			$totalworth = 0.00;
			while($tick = mysql_fetch_array($stockquery))
			{
				$data = get_info($tick['stock']);
				$change = doubleval($data['change']);
				$price = doubleval($data['price']);
				$totalgain = $totalgain + $change * $tick['quantity'];
				$totalworth = $totalworth + $price * $tick['quantity'];
			}
			$money = $totalworth + $row2['cashbalance'];
	}
	
	$gain = $totalgain * ($amount/($base + 1000000));
	$current = $amount + 0.8*$gain;
			
	mysql_query("UPDATE invest SET current=".$current." WHERE investid=".$investid."");			
}


}

if(isset($_GET['order']))
   header("Location: http://".$_SERVER['SERVER_NAME']."/order.php?success");

?>
</body>
</html>
